--[[
bossnames.en.lua
This file gives the localised names of bosses needed in loot descriptions,
especially on tables from many locations where we need to indicate where the
loot came from.
]]
local BabbleBoss = AceLibrary("Babble-Boss-2.2");
local BabbleZone = AceLibrary("Babble-Zone-2.2");
local AL = AceLibrary("AceLocale-2.2"):new("AtlasLoot");

AtlasLootBossNames = {

	AuchManaTombs = {
		BabbleBoss["Nexus-Prince Shaffar"].." ("..BabbleZone["Mana-Tombs"]..")";
	};

	AuchAuchenaiCrypts = {
		"Maladaar".." ("..BabbleZone["Auchenai Crypts"]..")";
		"Avatar".." ("..BabbleZone["Auchenai Crypts"]..")";
	};

	AuchSethekkHalls = {
		BabbleBoss["Talon King Ikiss"].." ("..BabbleZone["Sethekk Halls"]..")";
	};

	AuchShadowLabyrinth = {
		"Blackheart".." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Grandmaster Vorpil"].." ("..BabbleZone["Shadow Labyrinth"]..")";
		BabbleBoss["Murmur"].." ("..BabbleZone["Shadow Labyrinth"]..")";
	};
	
	BlackrockSpireLower = {
		BabbleBoss["Highlord Omokk"].." ("..AL["LBRS"]..")";
		BabbleBoss["Shadow Hunter Vosh'gajin"].." ("..AL["LBRS"]..")";
		BabbleBoss["War Master Voone"].." ("..AL["LBRS"]..")";
		BabbleBoss["Mor Grayhoof"].." ("..AL["LBRS"]..")";
		BabbleBoss["Mother Smolderweb"].." ("..AL["LBRS"]..")";
		BabbleBoss["Gizrul the Slavener"].." ("..AL["LBRS"]..")";
		BabbleBoss["Overlord Wyrmthalak"].." ("..AL["LBRS"]..")";
		AL["Trash Mobs"].." ("..AL["LBRS"]..")";
	};

	BlackrockSpireUpper = {
		BabbleBoss["Pyroguard Emberseer"].." ("..AL["UBRS"]..")";
		BabbleBoss["Solakar Flamewreath"].." ("..AL["UBRS"]..")";
		BabbleBoss["Warchief Rend Blackhand"].." ("..AL["UBRS"]..")";
		BabbleBoss["Gyth"].." ("..AL["UBRS"]..")";
		BabbleBoss["The Beast"].." ("..AL["UBRS"]..")";
		BabbleBoss["General Drakkisath"].." ("..AL["UBRS"]..")";
	};

	BlackTemple = {
		BabbleBoss["Mother Shahraz"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Illidari Council"].." ("..BabbleZone["Black Temple"]..")";
		BabbleBoss["Illidan Stormrage"].." ("..BabbleZone["Black Temple"]..")";
	};

	BlackwingLair = {
		"Razorgore".." ("..BabbleZone["Blackwing Lair"]..")";
		"Vaelastrasz".." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Broodlord Lashlayer"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Firemaw"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Ebonroc"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Flamegor"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Chromaggus"].." ("..BabbleZone["Blackwing Lair"]..")";
		BabbleBoss["Nefarian"].." ("..BabbleZone["Blackwing Lair"]..")";
	};

	CFRTheSlavePens = {
		BabbleBoss["Quagmirran"].." ("..BabbleZone["The Slave Pens"]..")";
	};

	CFRTheUnderbog = {
		BabbleBoss["The Black Stalker"].." ("..BabbleZone["The Underbog"]..")";
	};

	CFRTheSteamvault = {
		"Thespia".." ("..BabbleZone["The Steamvault"]..")";
		"Kalithresh".." ("..BabbleZone["The Steamvault"]..")";
	};

	CFRSerpentshrineCavern = {
		BabbleBoss["Leotheras the Blind"].." ("..AL["Serpentshrine"]..")";
		BabbleBoss["Fathom-Lord Karathress"].." ("..AL["Serpentshrine"]..")";
		BabbleBoss["Lady Vashj"].." ("..AL["Serpentshrine"]..")";
	};

	Common = {
		AL["Trash Mobs"];
	};

	CoTOldHillsbradFoothills = {
	    BabbleBoss["Epoch Hunter"].." ("..AL["CoT1"]..")";
	};

	CoTTheBlackMorass = {
		BabbleBoss["Aeonus"].." ("..AL["CoT2"]..")";
	};

	CoTMountHyjal = {
		BabbleBoss["Azgalor"].." ("..BabbleZone["Hyjal Summit"]..")";
		BabbleBoss["Archimonde"].." ("..BabbleZone["Hyjal Summit"]..")";
	};

	GruulsLair = {
		BabbleBoss["High King Maulgar"].." ("..BabbleZone["Gruul's Lair"]..")";
		"Gruul".." ("..BabbleZone["Gruul's Lair"]..")";
	};

	HCRamparts = {
		BabbleBoss["Omor the Unscarred"].." ("..BabbleZone["Hellfire Ramparts"]..")";
	};

	HCBloodFurnace = {
		"Keli'dan".." ("..BabbleZone["The Blood Furnace"]..")";
	};

	HCShatteredHalls = {
		"O'mrogg".." ("..BabbleZone["The Shattered Halls"]..")";
		"Kargath".." ("..BabbleZone["The Shattered Halls"]..")";
	};

	SunwellPlateau = {
		BabbleBoss["Kalecgos"].." ("..BabbleZone["Sunwell Plateau"]..")";
		BabbleBoss["Brutallus"].." ("..BabbleZone["Sunwell Plateau"]..")";
		BabbleBoss["Felmyst"].." ("..BabbleZone["Sunwell Plateau"]..")";
	};

	Karazhan = {
		BabbleBoss["The Curator"].." ("..BabbleZone["Karazhan"]..")";
		BabbleBoss["Prince Malchezaar"].." ("..BabbleZone["Karazhan"]..")";
	};

	MagtheridonsLair = {
		BabbleBoss["Magtheridon"].." ("..BabbleZone["Magtheridon's Lair"]..")";
	};

	MoltenCore = {
		BabbleBoss["Lucifron"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Magmadar"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Gehennas"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Garr"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Shazzrah"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Baron Geddon"].." ("..BabbleZone["Molten Core"]..")";
		"Golemagg".." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Sulfuron Harbinger"].." ("..BabbleZone["Molten Core"]..")";
		BabbleBoss["Ragnaros"].." ("..BabbleZone["Molten Core"]..")";
	};

	Naxxramas = {
		BabbleBoss["Patchwerk"];
		BabbleBoss["Grobbulus"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Gluth"];
		BabbleBoss["Thaddius"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Anub'Rekhan"];
		"Faerlina".." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Maexxna"].." ("..BabbleZone["Naxxramas"]..")";
		"Razuvious";
		"Gothik".." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["The Four Horsemen"].." ("..BabbleZone["Naxxramas"]..")";
		"Noth";
		BabbleBoss["Heigan the Unclean"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Loatheb"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Sapphiron"].." ("..BabbleZone["Naxxramas"]..")";
		BabbleBoss["Kel'Thuzad"].." ("..BabbleZone["Naxxramas"]..")";
	};

	OnyxiasLair = {
		BabbleBoss["Onyxia"].." ("..BabbleZone["Onyxia's Lair"]..")";
	};

	Scholomance = {
		BabbleBoss["Kirtonos the Herald"].." ("..AL["Scholo"]..")";
		BabbleBoss["Jandice Barov"].." ("..AL["Scholo"]..")";
		BabbleBoss["Rattlegore"].." ("..AL["Scholo"]..")";
		BabbleBoss["Ras Frostwhisper"].." ("..AL["Scholo"]..")";
		BabbleBoss["Instructor Malicia"].." ("..AL["Scholo"]..")";
		BabbleBoss["Doctor Theolen Krastinov"].." ("..AL["Scholo"]..")";
		BabbleBoss["Lorekeeper Polkelt"].." ("..AL["Scholo"]..")";
		BabbleBoss["The Ravenian"].." ("..AL["Scholo"]..")";
		BabbleBoss["Lord Alexei Barov"].." ("..AL["Scholo"]..")";
		BabbleBoss["Darkmaster Gandling"].." ("..AL["Scholo"]..")";
		AL["Trash Mobs"].." ("..AL["Scholo"]..")";
   };
	Stratholme = {
		BabbleBoss["Hearthsinger Forresten"].." ("..AL["Strat"]..")";
		BabbleBoss["The Unforgiven"].." ("..AL["Strat"]..")";
		BabbleBoss["Timmy the Cruel"].." ("..AL["Strat"]..")";
		BabbleBoss["Cannon Master Willey"].." ("..AL["Strat"]..")";
		BabbleBoss["Archivist Galford"].." ("..AL["Strat"]..")";
		BabbleBoss["Balnazzar"].." ("..AL["Strat"]..")";
		BabbleBoss["Baroness Anastari"].." ("..AL["Strat"]..")";
		BabbleBoss["Nerub'enkan"].." ("..AL["Strat"]..")";
		BabbleBoss["Maleki the Pallid"].." ("..AL["Strat"]..")";
		BabbleBoss["Magistrate Barthilas"].." ("..AL["Strat"]..")";
		BabbleBoss["Ramstein the Gorger"].." ("..AL["Strat"]..")";
		BabbleBoss["Baron Rivendare"].." ("..AL["Strat"]..")";
		AL["Trash Mobs"].." ("..AL["Strat"]..")";
    };

	TKMechanar = {
		BabbleBoss["Pathaleon the Calculator"].." (Mechanar)";
	};

	TKTheBotanica = {
		BabbleBoss["Laj"].." ("..BabbleZone["The Botanica"]..")";
		BabbleBoss["Warp Splinter"].." ("..BabbleZone["The Botanica"]..")";
	};

	TKTheArcatraz = {
		BabbleBoss["Harbinger Skyriss"].." (Arcatraz)";
	};

	TKTheEye = {
		BabbleBoss["Void Reaver"].." ("..BabbleZone["The Eye"]..")";
		BabbleBoss["Kael'thas Sunstrider"].." ("..BabbleZone["The Eye"]..")";
	};
};